High Sierra APFS incompatible with mid-2011 iMac

High Sierra APFS incompatible with mid-2011 iMac (December 05, 2017 12:45PM) philsfilm
Hi Ken,

I'm running a mid-2011 iMac with Sierra (10.12.6). Larry Jordan just published an article featuring an interview with Larry O'Conner of OWC who warns that the APFS file system of High Sierra (10.13) is incompatible with the Mac OS (Extended) Journaled HFS+ on the spinning drives of older computers such as my iMac.

[larryjordan.com]

An Apple tech support person told me that he'd had many user complaints about FCP X crashing or being unable to locate files on media drives after upgrading older iMacs to High Sierra. He sent me an Apple article which explains that High Sierra ignores the HFS+ file system on the older drives and, in theory, should operate correctly on these older computers.

[support.apple.com]

I was just wondering if anyone with a similar setup has had this type of problem after upgrading to High Sierra.

Thanks,
Phil
Re: High Sierra APFS incompatible with mid-2011 iMac (December 13, 2017 03:32AM) Christoph Vonrhein
I am using a Mid 2010 Mac Pro with (so far) no problems under El Capitan (work partition), Sierra (testing partition) and High Sierra (testing partition).

Maybe it's a problem related to the iMac that you ran into...

--
Christoph Vonrhein
[www.chv-plugins.com]
Re: High Sierra APFS incompatible with mid-2011 iMac (December 16, 2017 03:26PM) philsfilm
Do you run FCP X on the High Sierra partition?
Re: High Sierra APFS incompatible with mid-2011 iMac (December 17, 2017 04:35PM) Christoph Vonrhein
I have FCP X installed on that Mac Pro under Lion, El Capitan, Yosemite, Sierra and High Sierra. 4 hard drives with a bunch of partitions (including Windoze 7).

I just recently had to update my whole plugin package, which totally refused to work under High Sierra. I wrote the update completely with XCode and FCP X under High Sierra. I did not notice anything strange regarding FCP X. But I also have to say that I did only use small test projects to test the plugins. I did not edit anything major under High Sierra so far.

--
Christoph Vonrhein
[www.chv-plugins.com]
Re: High Sierra APFS incompatible with mid-2011 iMac (December 18, 2017 12:56AM) philsfilm
None of this sounds good regarding High Sierra. Do your plugins include Fx Factory or Neat Video?
I do see that HEVC h.265 cannot be achieved except when running High Sierra (10.13). I need everything to run correctly. Do I need to keep partition my main HD? In addition to Sierra (10.12.6), I already have a small partition for El Capitan.
Re: High Sierra APFS incompatible with mid-2011 iMac (December 22, 2017 09:35AM) Christoph Vonrhein
None of my plugins have anything to do with FxFactory, Neat Video or any other 3rd party developer. My plugins are completely self contained and do not need any kind of platform to run.

--
Christoph Vonrhein
[www.chv-plugins.com]
Sorry, only registered users may post in this forum.

Click here to login